关闭

Linux 下安装飞信(openFetion) / 源码安装

1345人阅读 评论(0) 收藏 举报
 
   关于在Linux下安装 openfetion (源码安装)
    
    首先给一个下载地址: http://www.linux99.com/down/1/501.html
    
    理想状态下:./configure
                         make
                         sudo make install 就可以了!

    但是会出现一些问题:

    首先是对于库的要求:openssl , libxml2 ,gtk+2.0,如果在安装(./configure)的过程中出现问题,那么可能是版本OLD或者没有,所以需要 安装一下:
sudo apt-get install libgtk2-dev

sudo apt-get install libssl-dev

apt-get install libxml2-dev

sudo apt-get install pkg-config

然后再configure就可以了,再make,再sudo make install


但是在configure过程还可能出现一个问题哦:
checking for LIBXML2... configure: error: Package requirements(libxml-2.0 >= 2.6) were not met:

No package 'libxml-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable ifyou
installed software in a non-standard prefix.

Alternatively, you may set the environment variablesLIBXML2_CFLAGS
and LIBXML2_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

这其实就是环境变量问题,解决:

确定 /usr/local/libxml2/lib/pkgconfig 目录下有 libxml-2.0.pc
然后 exportPKG_CONFIG_PATH=/usr/local/libxml2/lib/pkgconfig:$PKG_CONFIG_PATH


然后就会安装OK!

好,然后我们测试:启动飞信(应用程序--->互联网---->fetion)
但是可能会启动不了,解决办法:
需要安装下面三个包
sudo apt-get install libcurl3
sudo apt-get install automake libc-dev g++libcurl4-openssl-dev
sudo apt-get install build-essential

然后在启动,OK////

2
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:575002次
    • 积分:6582
    • 等级:
    • 排名:第3747名
    • 原创:182篇
    • 转载:36篇
    • 译文:0篇
    • 评论:82条
    博客专栏